# coeff

coefficients of matrix polynomial

## Calling Sequence

    [C]=coeff(Mp [,v])

## Arguments

Mp

  polynomial matrix

v

  integer (row or column) vector of selected degrees

C

  big matrix of the coefficients

## Description

`C=coeff(Mp)` returns in a big matrix `C` the coefficients of the polynomial matrix `Mp` . `C` is partitioned as `C=[C0,C1,...,Ck]` where the `Ci` are arranged in increasing order `k = max(degree(Mp))`

`C=coeff(Mp,v)` returns the matrix of coefficients with degree in `v` . (`v` is a row or column vector).

## Examples

    s=poly(0,'s');
    w=s*rand(10,10);
    determ(w)
    coeff(w,1)

    r = poly([0 -1+%i -1-%i],'s',"roots");
    coeff(r)

    r = poly([-1-%i -1+2*%i 0],'s',"roots");
    coeff(r)

## See Also

- poly
- degree
- inv_coeff